Subject: bug#56792: 29.0.50; Emacs crashes when selecting text if xfreerdp is also running

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Jul 2022 11:45:33 +0200

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> The PGTK build does not support X11, so you should build without PGTK
> enabled.  This crash is known to happen there, and will not be fixed,
> since adding 300-400 lines of X specific selection code to the PGTK port
> seems very irrational for a platform that it is not intended to support.

Emacs shouldn't segfault, though.  It's fine to signal an error in this
situation, but segfaulting is not.